> For the complete documentation index, see [llms.txt](https://help.vectary.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.vectary.com/api/model-api/api-reference/importproject.md).

# importProject

### importProject

Imports another Vectary project into the current scene.

#### Signature

```typescript
importProject(projectId: string): Promise<void>
```

#### Parameters

| Parameter | Type   | Required | Description                      |
| --------- | ------ | -------- | -------------------------------- |
| projectId | string | Yes      | Project UUID from your workspace |

#### Returns

`Promise<void>`

#### Usage

```javascript
await api.importProject("bf104b1b-db6f-4a0f-89a0-624cabb1c3c7");
```

#### Notes

* Project must be **shared** (not private)
* Project ID must be in UUID format
* Get the UUID from Dashboard → Project card menu → Copy ID
* All objects from the project are imported into the current scene
* Returns `void`, not an array of imported objects


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.vectary.com/api/model-api/api-reference/importproject.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
